import Vue from 'vue'
import Vuex from 'vuex'
import user from './modules/user'
import getters from './getters'

Vue.use(Vuex)
export default new Vuex.Store({
  modules:{
    user
  }, 
  getters,
  states: {
    appStatus:'loading'//failed , loading ,success
  },
  mutations: {
    SET_appStatus(state,str){
      state.appStatus = str;
    }
  },
  actions: {
    async initApp(me){
      // await me.dispatch('user/load')
      //await me.dispatch('app/getPowers')//权限
      // console.log('//权限 end')
      //await me.dispatch('app/getMenus')//菜单
      // console.log('//菜单 end')
      // await me.dispatch('app/getLatelyUse')//最近使用 
      // console.log('//最近使用 end')   
      //await me.dispatch('app/getQuickNav')//快速导航
      // console.log('//快速导航 end')
      // await me.dispatch('portal/loadColumns')//栏目功能
      // console.log('//栏目功能 end')
      // await me.dispatch('portal/loadList')//工作台门户列表
      // console.log('//工作台门户列表 end')
      // await me.dispatch('portal/loadSysList')//系统门户列表
      // console.log('//系统门户列表 end')
    },
    setAppLoad({state,commit},status){
      commit('SET_appStatus',status);
    }
  }
})
